import { OnInit, ChangeDetectorRef, EventEmitter } from "@angular/core";
import { ApiList } from "../api";
import { DashboardService } from "../dashboard.service";
import { DashboardPorletsService } from "../dashboardPorlets.service";
export declare class SidebarIconlistNewComponent implements OnInit {
    private api;
    dashboardService: DashboardService;
    dashboardPorletsService: DashboardPorletsService;
    private ref;
    private pbf;
    private http;
    dashboard_sidebar: boolean;
    dashboard: any;
    dashboardId: any;
    activeTabId: any;
    activeTabLabel: any;
    portlets: any[];
    tabactive: boolean;
    portlet: any;
    figureCode: any;
    _selectedX: any;
    _selectedY: any;
    _selectedMultiples: any;
    _selectedSecondY: any;
    _selectTheme: any;
    appCode: any;
    closeSidebar: EventEmitter<any>;
    updatePorletConfig: EventEmitter<any>;
    onToggleTabactive: EventEmitter<any>;
    updatePorlet: EventEmitter<any>;
    updatePushBtn: EventEmitter<any>;
    chartUpdate: EventEmitter<any>;
    updateTheme: EventEmitter<any>;
    translation: any;
    private lang;
    dataMartTableList: any[];
    hasChanged: boolean;
    gadgetTitle: any;
    private subscriptions;
    portletType: any;
    expandArray: Array<boolean>;
    selectedDataTable: any;
    selectedDatamart: any;
    chartSettings: {
        legendSettings: {
            visible: boolean;
        };
        enableMultipleAxis: boolean;
        showMultiLevelLabels: boolean;
        chartSeries: {
            type: string;
            width: number;
        };
        multipleAxisMode: string;
        primaryXAxis: {
            title: string;
            majorGridLines: {
                width: number;
            };
        };
        chartArea: {
            opacity: number;
            border: {
                width: number;
            };
        };
        palettes: string[];
        primaryYAxis: {
            title: string;
        };
        zoomSettings: {
            enableMouseWheelZooming: boolean;
            enablePinchZooming: boolean;
            enableSelectionZooming: boolean;
            enableDeferredZooming: boolean;
            toolbarItems: any[];
            enableScrollbar: boolean;
            enableZooming: boolean;
        };
    };
    displayOption: {
        view: string;
        primary: string;
    };
    config: any;
    currentTab: string;
    yList: any;
    chartTypeList: string[];
    multipleAxisModeList: string[];
    themeData: any;
    themeFields: Object;
    constructor(api: ApiList, dashboardService: DashboardService, dashboardPorletsService: DashboardPorletsService, ref: ChangeDetectorRef, pbf: any, http: any);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    private initDataMartTableList;
    ngOnDestroy(): void;
    nextWizard(wizard: number): void;
    private getInfo;
    clear(): void;
    close(): void;
    getFigurecode(): boolean;
    getPortletType($event: any): void;
    changeDataTable(value: any): void;
    _updatePorletConfig(e: any): void;
    private getData;
    setMultipleAxis(e: any): void;
    setChartType(): void;
    getThemeData(e: any): void;
    AddOrEditPortlet(): void;
    private editPortlet;
    switchTab(type: any): void;
    gadgetTitleChange(newObj: any): void;
    setDatabind(): void;
    private getConfig;
    selectedInvestor: any;
    investorList: any[];
    selectedVisualType: any;
    visualTypeList: any[];
    readonly frequencyOptions: any;
    initHistoricalIRROptions(): void;
    onSelectedHistoricalIRRPortlet(): void;
    setHistoricalIRRChart(opened: boolean): void;
    selectedX: any;
    selectedY: any;
    selectedSecondY: any;
    selectedMultiples: any;
    markerFormat: string;
    markerFormatList: {
        value: string;
        label: any;
    }[];
    hasMarker: boolean;
    labelConfigChange(e: any): void;
    xyChange(e: any): void;
    showEdit(): void;
    multiplesList: any;
    getmultiplesList(): void;
    capitalize(str: any): any;
    getSelectDatamartId(): any;
    getTrueSelectedDatamart(): any;
    getSelectDatamartCode(): any;
    selectTheme: any;
    changeTheme(e: any, type: any): void;
    sortDataMartTables(data: any): void;
    onChangeFormat(): void;
}
